package com.bootdo.datas.domain;

import java.io.Serializable;


/**
 * 分类分级
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-02-27 23:33:17
 */
public class DataPartDO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	private Long partId;
	//上级部门ID，一级部门为0
	private Long parentId;
	//部门名称
	private String partName;
	//描述
	private String partDesc;
	//描述
	private String partIsMajor;
	//排序
	private Integer orderNum;
	//是否删除  -1：已删除  0：正常
	private Integer delFlag;

	/**
	 * 设置：
	 */
	public void setPartId(Long partId) {
		this.partId = partId;
	}
	/**
	 * 获取：
	 */
	public Long getPartId() {
		return partId;
	}
	/**
	 * 设置：上级部门ID，一级部门为0
	 */
	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}
	/**
	 * 获取：上级部门ID，一级部门为0
	 */
	public Long getParentId() {
		return parentId;
	}
	/**
	 * 设置：部门名称
	 */
	public void setPartName(String partName) {
		this.partName = partName;
	}
	/**
	 * 获取：部门名称
	 */
	public String getPartName() {
		return partName;
	}
	/**
	 * 设置：描述
	 */
	public void setPartDesc(String partDesc) {
		this.partDesc = partDesc;
	}
	/**
	 * 获取：描述
	 */
	public String getPartDesc() {
		return partDesc;
	}
	/**
	 * 设置：描述
	 */
	public void setPartIsMajor(String partIsMajor) {
		this.partIsMajor = partIsMajor;
	}
	/**
	 * 获取：描述
	 */
	public String getPartIsMajor() {
		return partIsMajor;
	}
	/**
	 * 设置：排序
	 */
	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}
	/**
	 * 获取：排序
	 */
	public Integer getOrderNum() {
		return orderNum;
	}
	/**
	 * 设置：是否删除  -1：已删除  0：正常
	 */
	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
	/**
	 * 获取：是否删除  -1：已删除  0：正常
	 */
	public Integer getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return "DataPartDO{" + "partId=" + partId + ", parentId=" + parentId + ", partName='" + partName + '\'' + ", partDesc='" + partDesc + '\'' + ", partIsMajor='" + partIsMajor + '\'' + ", orderNum=" + orderNum + ", delFlag=" + delFlag + '}';
	}
}
